%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	Notes plugin for the Xfce panel
Summary(de):	Erweiterung für Notizen für das Xfce-Panel
Name:		xfce4-notes-plugin
Version:	1.7.7
Release:	%mkrel 4
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-notes-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-notes-plugin/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	xfce4-panel-devel >= 4.4.2
BuildRequires:	xfconf-devel
BuildRequires:	libxfce4util-devel
BuildRequires:	libxfcegui4-devel >= 4.4.2
BuildRequires:	perl(XML::Parser)
BuildRequires:	xfce4-dev-tools
BuildRequires:	intltool
BuildRequires:	%{_lib}unique-devel
BuildRequires:	%{_lib}directfb-devel
BuildRequires:	pango-devel
BuildRequires:	gtk2-devel
BuildRequires:	glib2-devel
BuildRequires:	%{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:	cairo-devel
BuildRequires:	libx11-devel
Obsoletes:	xfce-notes-plugin
Requires:	xfce4-panel >= 4.4.2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
xfce4-notes-plugin is a notes panel plugin for the Xfce Desktop Environment.
It provides a simple system for managing sticky notes on your desktop.

%description -l de
Das xfce4-notes-plugin bietet ein einfaches System für die Verwaltung
von klebrigen Notizen auf Ihrem Arbeitsplatz.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std


#Fix desktop file
perl -pi -e "s|libexec|lib|" $RPM_BUILD_ROOT%{_datadir}/xfce4/panel-plugins/*.desktop

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%post
%update_icon_cache hicolor

%postun
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%{_sysconfdir}/xdg/autostart/xfce4-notes-autostart.desktop
%{_bindir}/xfce4-notes
%{_bindir}/xfce4-notes-settings
%{_bindir}/xfce4-popup-notes
%{_libdir}/xfce4/panel-plugins/*
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/applications/xfce4-notes.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/%{name}/gtk-2.0
%{_datadir}/%{name}/pixmaps
%{_datadir}/locale/*


%changelog
* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 1.7.7-4pclos2015
- rebuild against new libxfce4util7
- add missing BRs

* Mon Oct 15 2012 ghostbunny <ghostbunny at gmx dot de> 1.7.7-3pclos2012
- moved misplaced remove of .la/.a files in postun section into install section

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 1.7.7-2pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 1.7.7-2pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 1.7.7-2pclos2012
- rebuild against new xfce4 panel and libxfce4util
- added german summary and description

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 1.7.7-1pclos2012
- update

* Fri Mar 25 2011 Texstar <texstar at gmail.com> 1.7.6-2pclos2011
- rebuild

* Fri Jul 16 2010 Texstar <texstar at gmail.com> 1.7.6-1pclos2010
- 1.7.6

